<div class="tab-pane fade {% if not tree.parent %} show active {% endif %}"
     id="tree_{{ tree.id }}" role="tabpanel" aria-labelledby="tree_{{ tree.id }}_list">


    <div>
        <div class="d-flex bd-highlight mb-2">
            <div class="p-2">
                <h3 class="font-weight-bold">Node : {{ depth }}
                    {% if not tree.parent %}
                        root
                    {% else %}
                        {{ tree.parent.cut.name }}
                        {% if tree.parent.children.first == tree %}
                            L
                        {% else %}
                            R
                        {% endif %}
                    {% endif %}
                </h3>
            </div>
            <div class="ml-auto p-1">
                <a href="{% url 'trees-node' tree.node.id %}" class="btn btn-secondary">Workers</a>
            </div>

            {% if tree.parent %}
                <div class="p-1">
                    <button type="button" class="btn btn-primary"
                            onclick="goToTab(event, '#tree_{{ tree.parent.id }}_list')">
                        Parent
                    </button>
                </div>
                <div class="p-1">
                    {% if tree.parent.children.first == tree %}
                        <button class="btn btn-primary"
                                onclick="goToTab(event, '#tree_{{ tree.parent.children.last.id }}_list')">
                            Sibling
                        </button>
                    {% else %}
                        <button class="btn btn-primary"
                                onclick="goToTab(event, '#tree_{{ tree.parent.children.first.id }}_list')">
                            Sibling
                        </button>
                    {% endif %}
                </div>
            {% endif %}

            {% if tree.children.count > 0 %}
                <div class="p-1">
                    <button class="btn btn-primary" onclick="goToTab(event, '#tree_{{ tree.children.first.id }}_list')">
                        Left child
                    </button>
                </div>
                <div class="p-1">
                    <button class="btn btn-primary" onclick="goToTab(event, '#tree_{{ tree.children.last.id }}_list')">
                        Right child
                    </button>
                </div>
            {% endif %}
        </div>
        <hr>
    </div>


    <div class="pl-5">
        <div>
            Cut : {{ tree.cut.name }}
        </div>
        <div>
            App count : {{ tree.node.app_count }}
        </div>
        <div>
            Real count : {{ tree.node.peoples.count }}
        </div>
        <div>
            epsilon : {{ tree.node.epsilon|floatformat:3 }}
        </div>
        <div>
            <br>
            Volume :
            {% for volume in tree.node.volume.all %}
                <div class="p-2 row">
                    <div class="p-2 font-weight-bold col-sm-2">
                        &#8226 {{ volume.ability.name }} :
                    </div>
                    <div class="ml-auto mt-2 col-sm-10">
                        {% include 'base/display_area.html' with min=volume.min max=volume.max %}
                    </div>
                </div>
            {% endfor %}
        </div>

    </div>
</div>
{% for child in tree.children.all %}
    {% include 'trees/tree_view_nodes.html' with tree=child root=tree.id depth=depth|add:1 %}
{% endfor %}